# Class PropagatingFontFieldEditor

java.lang.Object
org.eclipse.jface.preference.FieldEditor
org.eclipse.jface.preference.FontFieldEditor
org.eclipse.jface.text.PropagatingFontFieldEditor
org.eclipse.ui.texteditor.WorkbenchChainedTextFontFieldEditor
org.eclipse.ui.texteditor.PropagatingFontFieldEditor

@Deprecated(forRemoval=true, since="2025-12") public final class PropagatingFontFieldEditor extends WorkbenchChainedTextFontFieldEditor
Deprecated, for removal: This API element is subject to removal in a future version.
no longer supported

## Field Summary

### Fields inherited from class FieldEditor

`HORIZONTAL_GAP, IS_VALID, VALUE`

## Constructor Summary

Constructors
Constructor
Description
`PropagatingFontFieldEditor(String name, String labelText, Composite parent)`
Deprecated, for removal: This API element is subject to removal in a future version.
no longer supported

## Method Summary

### Methods inherited from class WorkbenchChainedTextFontFieldEditor

`startPropagate`

### Methods inherited from class PropagatingFontFieldEditor

`doLoad, doLoadDefault, startPropagate`

### Methods inherited from class FontFieldEditor

`adjustForNumColumns, applyFont, doFillIntoGrid, doStore, getChangeControl, getNumberOfControls, getPreferredPreviewHeight, getPreviewControl, getValueControl, setChangeButtonText, setEnabled, setToDefault`

### Methods inherited from class FieldEditor

`checkParent, clearErrorMessage, clearMessage, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, createControl, dispose, fillIntoGrid, fireStateChanged, fireValueChanged, getFieldEditorFontName, getLabelControl, getLabelControl, getLabelText, getPage, getPreferenceName, getPreferencePage, getPreferenceStore, init, isValid, load, loadDefault, presentsDefaultValue, refreshValidState, setButtonLayoutData, setFocus, setLabelText, setPage, setPreferenceName, setPreferencePage, setPreferenceStore, setPresentsDefaultValue, setPropertyChangeListener, showErrorMessage, showMessage, store`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PropagatingFontFieldEditor

@Deprecated(forRemoval=true, since="2025-12") public PropagatingFontFieldEditor(String name, String labelText, Composite parent)
Deprecated, for removal: This API element is subject to removal in a future version.
no longer supported
Creates a new propagating font field editor with the given parameters.

Parameters:
  `name` - the name
  `labelText` - the label
  `parent` - the parent control